# Generated by Django 2.1.2 on 2018-10-05 16:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('openid', models.CharField(db_index=True, max_length=128, unique=True, verbose_name='OpenID')),
                ('last_logined_at', models.DateTimeField(db_index=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True)),
            ],
        ),
        migrations.CreateModel(
            name='UserInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nickname', models.CharField(blank=True, max_length=64, null=True, verbose_name='Nick name')),
                ('avatar_url', models.URLField(blank=True, max_length=255, null=True, verbose_name='Avatar URL')),
                ('gender', models.SmallIntegerField(choices=[(0, 'Unknown'), (1, 'Male'), (2, 'Female')], default=0, verbose_name='Gender')),
                ('city', models.CharField(blank=True, max_length=32, null=True, verbose_name='City')),
                ('province', models.CharField(blank=True, max_length=32, null=True, verbose_name='Province')),
                ('country', models.CharField(blank=True, max_length=32, null=True, verbose_name='Country')),
                ('language', models.CharField(blank=True, max_length=16, null=True, verbose_name='Language')),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('owner', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='info', related_query_name='info', to='wechat_user.User', verbose_name='User')),
            ],
        ),
        migrations.CreateModel(
            name='UserMobilePhone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(max_length=16, verbose_name='Phone number')),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('owner', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='phone', related_query_name='phone', to='wechat_user.User', verbose_name='User')),
            ],
        ),
    ]
